import { NgModule, NO_ERRORS_SCHEMA } from "@angular/core";
import { RouterModule } from "@angular/router";
import { LocationStrategy, PlatformLocation } from "@angular/common";
import { NSRouterLink } from "./router/ns-router-link";
import { NSRouterLinkActive } from "./router/ns-router-link-active";
import { PageRouterOutlet } from "./router/page-router-outlet";
import { NSLocationStrategy } from "./router/ns-location-strategy";
import { NativescriptPlatformLocation } from "./router/ns-platform-location";
import { RouterExtensions } from "./router/router-extensions";
import { NativeScriptModule } from "./nativescript.module";
export { NSModuleFactoryLoader } from "./router/ns-module-factory-loader";
export { PageRoute } from "./router/page-router-outlet";
export { RouterExtensions } from "./router/router-extensions";
export { NSLocationStrategy } from "./router/ns-location-strategy";
export let NativeScriptRouterModule = class NativeScriptRouterModule {
    static forRoot(routes, config) {
        return RouterModule.forRoot(routes, config);
    }
    static forChild(routes) {
        return RouterModule.forChild(routes);
    }
};
NativeScriptRouterModule = __decorate([
    NgModule({
        declarations: [
            NSRouterLink,
            NSRouterLinkActive,
            PageRouterOutlet
        ],
        providers: [
            NSLocationStrategy,
            { provide: LocationStrategy, useExisting: NSLocationStrategy },
            NativescriptPlatformLocation,
            { provide: PlatformLocation, useClass: NativescriptPlatformLocation },
            RouterExtensions
        ],
        imports: [
            RouterModule,
            NativeScriptModule
        ],
        exports: [
            RouterModule,
            NSRouterLink,
            NSRouterLinkActive,
            PageRouterOutlet
        ],
        schemas: [NO_ERRORS_SCHEMA]
    }), 
    __metadata('design:paramtypes', [])
], NativeScriptRouterModule);
//# sourceMappingURL=router.js.map