export class BaseValueAccessor {
    constructor(view) {
        this.view = view;
        this.onChange = (_) => { };
        this.pendingChangeNotification = 0;
    }
    registerOnChange(fn) {
        this.onChange = (arg) => {
            if (this.pendingChangeNotification) {
                clearTimeout(this.pendingChangeNotification);
            }
            this.pendingChangeNotification = setTimeout(() => {
                this.pendingChangeNotification = 0;
                fn(arg);
            }, 20);
        };
    }
    writeValue(_) {
        //
    }
    registerOnTouched(_) {
        //
    }
}
//# sourceMappingURL=base-value-accessor.js.map